Roll back zone environment
POST/zones/{zone_id}/environments/{environment_id}/rollback
Roll back zone environment
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Roll back zone environment
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/environments/$ENVIRONMENT_ID/rollback \
-X POST \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"environments": [
{
"expression": "expression",
"locked_on_deployment": true,
"name": "name",
"position": {
"after": "yyy",
"before": "xxx"
},
"ref": "ref",
"version": 0,
"http_application_id": "http_application_id"
}
]
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"environments": [
{
"expression": "expression",
"locked_on_deployment": true,
"name": "name",
"position": {
"after": "yyy",
"before": "xxx"
},
"ref": "ref",
"version": 0,
"http_application_id": "http_application_id"
}
]
},
"success": true
}